## pastedeploy 2.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html text web pickle htmlhelp latex latexpdf xelatexpdf changes linkcheck epub doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  text       to make text files"
	@echo "  pickle     to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  xelatexpdf to make LaTeX files and run them through xelatex"
	@echo "  changes    to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  epub       to make an epub"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

xelatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	$(MAKE) PDFLATEX=xelatex -C $(BUILDDIR)/latex all-pdf
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

text:
	mkdir -p $(BUILDDIR)/text $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/text."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDDIR)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp _static/*.png $(BUILDDIR)/latex
	./convert_images.sh
	cp _static/latex-warning.png $(BUILDDIR)/latex
	cp _static/latex-note.png $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make xelatexpdf' to build a PDF file from them."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF file is in $(BUILDDIR)/latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pastedeploy 1.5.0

=== debian/changelog ===
pastedeploy (1.5.0-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Protect for loop with set -e (closes: #655909)

  [ Andrew Starr-Bochicchio ]
  * debian/control: Depend on python-paste (Closes: #683742).
  * Add extend-diff-ignore="^[^/]+\.egg-info/" to debian/source/options.
    This allows the package to build twice in a row (Closes: #671247).

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Aug 2012 16:05:26 +0200

pastedeploy (1.5.0-2) unstable; urgency=low

  * Remove .pth file (introduced in last upload by accident)
  * Add build-indep and build-arch targets in debian/rules

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 22 Sep 2011 21:13:16 +0200

pastedeploy (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2
    - recommend python-pastescript >= 1.7.3-6~
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 28 May 2011 17:31:01 +0200

pastedeploy (1.3.3-3) unstable; urgency=low

  * Make sure all Python versions use site-packages as temporary
    installation directory for modules (closes: #547833)
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2009 22:39:45 +0200

pastedeploy (1.3.3-2) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Feb 2009 20:38:48 +0100

pastedeploy (1.3.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release
  * Change Debian packaging license to match upstream

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Feb 2009 20:27:12 +0100

pastedeploy (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Don't feed rst2html with new subdirectories of docs directory
  * Standards-Version bumped to 3.8.0:
    + debian/README.source file added

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Jun 2008 11:46:40 +0200

pastedeploy (1.3.1-3) unstable; urgency=low

  * Replace python-setuptools with python-pkg-resources in Depends
    (closes: #468715)
  * Remove paste-common dependency, python-support will provide all needed
    namespace
  * Move paster_templates to /usr/share/
    + 01_change_templates_path patch added, dpatch added to build depends
    + recommend python-pastescript (>= 1.6.2-3)
  * Add "~" to python-setuptools minimum required build dependency to ease
    backporting

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 May 2008 18:56:13 +0200

pastedeploy (1.3.1-2) unstable; urgency=low

  * Switch to python-support. All paste packages will now depend on
    paste-common (>= 1.6-1) to make sure all use pysupport
  * Compress binary package with bzip2
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat,  6 Oct 2007 23:46:42 +0200

pastedeploy (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 26 Jun 2007 20:56:38 +0200

pastedeploy (1.3-1) unstable; urgency=low

  * New upstream release
  * Cleaned debian/rules file a little bit

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 11 Apr 2007 18:18:57 +0200

pastedeploy (1.1-2) unstable; urgency=low

  * Upload to unstable
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 Apr 2007 16:56:39 +0200

pastedeploy (1.1-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Etch freeze)
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 18 Dec 2006 14:25:23 +0100

pastedeploy (1.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules cleaned:
    + dh_python removed, dh_pycentral will generate all data now
    + unneeded dh_installexamples, dh_strip and dh_shlibdeps calls removed
  * debian/control:
    + bumped debhelper and python-central required versions due to dh_python
      call removal
    + Homepage updated
  * Test files are no longer installed as examples
  * Added debian/pycompat file

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 23 Oct 2006 16:43:41 +0200

pastedeploy (0.9.6-1) unstable; urgency=low

  * New upstream release
  * Documentation changes:
    - Files are now generated from sources
    - Add link in python-paste's docs
    - Add python-docutils in build dependencies
    - doc/news.txt file is installed as changelog

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 28 Jul 2006 01:00:54 +0200

pastedeploy (0.5-4) unstable; urgency=low

  * Update for the new python policy (closes: #373473)
  * Convert to python-central

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 16 Jun 2006 00:19:46 +0200

pastedeploy (0.5-3) unstable; urgency=low

  * Common paste* modules file moved to paste-common package

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 14 May 2006 03:27:56 +0200

pastedeploy (0.5-2) unstable; urgency=low

  * Egg directory name fixed

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 10 May 2006 18:10:18 +0200

pastedeploy (0.5-1) unstable; urgency=low

  * Initial release (closes: #366041)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu,  4 May 2006 18:26:28 +0200

=== debian/control ===
Source: pastedeploy
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3-1~), python-docutils
Standards-Version: 3.9.3
Homepage: http://pythonpaste.org/deploy/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pastedeploy/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pastedeploy/trunk/
X-Python-Version: >= 2.4

Package: python-pastedeploy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources, python-paste
Recommends: python-pastescript (>= 1.7.3-6~)
Enhances: python-paste
Description: load, configure, and compose WSGI applications and servers
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
DOCS=$(shell cd docs && find ./ -maxdepth 1 -name "*.txt" -not -name "license.txt" -printf "%p " | sed "s/.txt//g")
PKGDIR=$(CURDIR)/debian/python-pastedeploy
include /usr/share/python/python.mk

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name '*\.py[co]' -delete
	dh_clean build-docs $(PYVERS:%=install-python%)

build: build-indep
build-indep: build-docs
build-arch:

build-docs:
	dh_installdirs
	set -e; for NAME in $(DOCS); do \
	    rst2html --cloak-email-addresses --no-toc-backlinks "docs/$$NAME.txt" \
	      > "$(PKGDIR)/usr/share/doc/python-pastedeploy/docs/$$NAME.html"; \
	done
	touch $@

install: build $(PYVERS:%=install-python%)
install-python%:
	python$* setup.py install --root $(PKGDIR) \
		--single-version-externally-managed $(py_setup_install_args)
	# pth file is not needed
	find $(PKGDIR) \( -name '*.pth' -or -name 'namespace_packages.txt' \) -delete
	# move templates outside site-packages
	if [ -d $(PKGDIR)/usr/share/paster_templates ]; \
		then rm -r $(PKGDIR)$(call py_libdir,$*)/paste/deploy/paster_templates;\
	else \
		mv $(PKGDIR)$(call py_libdir,$*)/paste/deploy/paster_templates \
		   $(PKGDIR)/usr/share/;\
	fi

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i docs/news.txt
	dh_installdocs -i
	dh_link usr/share/doc/python-pastedeploy/docs /usr/share/doc/python-paste/docs/deploy
	dh_python2 -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: clean build build-arch build-indep binary binary-arch binary-indep install

## pastedeploy 1.5.2

=== debian/changelog ===
pastedeploy (1.5.2-4) unstable; urgency=medium

  * Removed versioned build depedencies older then wheezy
  * wrap-and-sort -t -a
  * Added recommends python3-pastescript to Py3 package
  * d/{control,copyright}: Use my @debian.org email address
  * Use Py3 of docutils for building docs

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jun 2016 23:22:56 +0200

pastedeploy (1.5.2-3) unstable; urgency=medium

  * Change directory to $ADTTMP before running Debian tests and print module
  * Standards-Version is 3.9.8 now (no change)
  * d/watch: Use pypi.debian.net

 -- Ondřej Nový <novy@ondrej.org>  Mon, 30 May 2016 20:36:57 +0200

pastedeploy (1.5.2-2) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Add missing dh-python build dependency (Closes: #744299)

  [ Ondřej Nový ]
  * Fixed Vcs-Git (git->https).
  * Standards-Version is 3.9.7 now (no change).
  * Reordered d/copyright.
  * Added myself to d/copyright.
  * Added myself as uploader and removed Piotr Ożarowski (Closes: #740532)
  * Distinguish description of Py2/3 packages.
  * Added doc base.
  * Added upstream changelog.
  * Added simple Debian tests.

 -- Ondřej Nový <novy@ondrej.org>  Fri, 04 Mar 2016 15:26:56 +0100

pastedeploy (1.5.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Dec 2013 11:43:06 +0100

pastedeploy (1.5.0-5) unstable; urgency=medium

  * python-pastedeploy-tpl Breaks/Replaces python-pastedeploy << 1.5.0-4
    (closes: #732178)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Dec 2013 12:40:49 +0100

pastedeploy (1.5.0-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Added python3 support, and add a new python-pastedeploy-tpl that
    contains the paster_template folder for both Python 2 and 3 modules.
  * debian/copyright using parseable format 1.0.
  * Now using debhelper and compat 9.

  [ Piotr Ożarowski ]
  * Switched to dh sequencer and pybuild buildsystem

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Dec 2013 22:47:39 +0100

=== debian/control ===
Source: pastedeploy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python3-all,
               python3-docutils,
               python3-nose,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: http://pythonpaste.org/deploy/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pastedeploy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pastedeploy.git
X-Python-Version: >= 2.4

Package: python-pastedeploy
Architecture: all
Depends: python-paste,
         python-pastedeploy-tpl (= ${binary:Version}),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-pastescript,
Enhances: python-paste,
Description: load, configure, and compose WSGI applications and servers - Python 2.x
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the Python 2.x module.

Package: python3-pastedeploy
Architecture: all
Depends: python-pastedeploy-tpl (= ${binary:Version}),
         python3-paste,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-pastescript,
Enhances: python3-paste,
Description: load, configure, and compose WSGI applications and servers - Python 3.x
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the Python 3.x module.

Package: python-pastedeploy-tpl
Architecture: all
Depends: ${misc:Depends},
Breaks: python-pastedeploy (<< 1.5.0-4),
Replaces: python-pastedeploy (<< 1.5.0-4),
Description: load, configure, and compose WSGI applications and servers - templates
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the Paste Deploy's paster template.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pastedeploy
#export PYBUILD_TEST_NOSE=1
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}{install_dir}/paste/deploy/paster_templates;\
       			     rm {destdir}{install_dir}/*.pth;\
			     rm {destdir}{install_dir}/*/namespace_packages.txt

DOCS=$(shell cd docs &&\
     find ./ -maxdepth 1 -name "*.txt" -not -name "license.txt" -printf "%p " |\
     sed "s/.txt//g")

%:
	dh $@ --buildsystem=pybuild --with=python2,python3

override_dh_installdocs:
	set -e; for NAME in $(DOCS); do \
	    rst2html --cloak-email-addresses --no-toc-backlinks "docs/$$NAME.txt" \
	      > "$(CURDIR)/debian/python-pastedeploy/usr/share/doc/python-pastedeploy/docs/$$NAME.html"; \
	done
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/news.txt

=== debian/tests/control ===
Depends: python-pastedeploy
Test-Command: cd "$ADTTMP" ; python -c "import paste.deploy ; print paste.deploy"

Depends: python3-pastedeploy
Test-Command: cd "$ADTTMP" ; python3 -c "import paste.deploy ; print(paste.deploy)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PasteDeploy/PasteDeploy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pastedeploy 2.0.1

=== debian/changelog ===
pastedeploy (2.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937245

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jan 2020 15:10:26 -0500

pastedeploy (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Use GitHub tags instead of PyPi
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump standards version to 4.3.0 (no changes)
  * Use pytest instead of nose (same as upstream)
  * d/rules: Change docs suffix from txt to rst

 -- Ondřej Nový <onovy@debian.org>  Tue, 01 Jan 2019 00:19:24 +0100

pastedeploy (1.5.2-5) unstable; urgency=medium

  * Bumped debhelper version to 11
  * Standards-Version is 4.2.1 now (no changes needed)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/copyright: Bump my copyright year
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 11:25:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,39 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-nose,
-               python-setuptools,
                python3-all,
                python3-docutils,
-               python3-nose,
+               python3-pygments,
+               python3-pytest,
+               python3-pytest-runner,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Homepage: http://pythonpaste.org/deploy/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pastedeploy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pastedeploy.git
-X-Python-Version: >= 2.4
-
-Package: python-pastedeploy
-Architecture: all
-Depends: python-paste,
-         python-pastedeploy-tpl (= ${binary:Version}),
-         python-pkg-resources,
-         ${misc:Depends},
-         ${python:Depends},
-Recommends: python-pastescript,
-Enhances: python-paste,
-Description: load, configure, and compose WSGI applications and servers - Python 2.x
- Paste Deployment is a system for finding and configuring WSGI applications and
- servers. For WSGI application consumers it provides a single, simple function
- (loadapp) for loading a WSGI application from a configuration file or a Python
- Egg. For WSGI application providers it only asks for a single, simple entry
- point to your application, so that application users don't need to be exposed
- to the implementation details of your application.
- .
- This package contains the Python 2.x module.
+Vcs-Git: https://salsa.debian.org/python-team/modules/pastedeploy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pastedeploy
 
 Package: python3-pastedeploy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pastedeploy
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}{install_dir}/paste/deploy/paster_templates;\
       			     rm {destdir}{install_dir}/*.pth;\
			     rm {destdir}{install_dir}/*/namespace_packages.txt

DOCS=$(shell cd docs &&\
     find ./ -maxdepth 1 -name "*.rst" -not -name "license.txt" -printf "%p " |\
     sed "s/.rst//g")

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_installdocs:
	set -e; for NAME in $(DOCS); do \
	    rst2html --cloak-email-addresses --no-toc-backlinks "docs/$$NAME.rst" \
	      > "$(CURDIR)/debian/python3-pastedeploy/usr/share/doc/python3-pastedeploy/docs/$$NAME.html"; \
	done
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/news.rst

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	    PYBUILD_TEST_ARGS="{interpreter} setup.py pytest" \
	    dh_auto_test

=== debian/tests/control ===
Depends: python3-pastedeploy
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import paste.deploy ; print(paste.deploy)"

## pastedeploy 2.1.0

=== debian/changelog ===
pastedeploy (2.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (no changes).
  * d/control: Add Rules-Requires-Root: no.
  * Drop python3-pytest-runner from B-D.
  * Run tests directly with pybuild.
  * Use autopkgtest-pkg-python instead of own one.

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Feb 2020 12:35:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                python3-docutils,
                python3-pygments,
                python3-pytest,
-               python3-pytest-runner,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://pythonpaste.org/deploy/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pastedeploy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pastedeploy
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pastedeploy
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pastedeploy-$1\.tar\.gz/ \
  https://github.com/Pylons/pastedeploy/tags .*/v?(\d\S+)\.tar\.gz

## pastedeploy 2.1.1

=== debian/changelog ===
pastedeploy (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 15:42:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pastedeploy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-docutils,
@@ -12,8 +12,8 @@
                python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: http://pythonpaste.org/deploy/
-Vcs-Git: https://salsa.debian.org/python-team/modules/pastedeploy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pastedeploy
+Vcs-Git: https://salsa.debian.org/python-team/packages/pastedeploy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pastedeploy
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/docs/news.rst
-
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	    PYBUILD_TEST_ARGS="{interpreter} setup.py pytest" \
-	    dh_auto_test

## pastedeploy 3.0.1

=== debian/changelog ===
pastedeploy (3.0.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pastedeploy-tpl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2022 23:29:11 +0000

pastedeploy (3.0.1-4) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Nov 2022 20:07:03 +0100

pastedeploy (3.0.1-3) unstable; urgency=medium

  * Team upload
  * d/copyright: Update various content data
  * Lintian: Ignore hint on a potential wrong Python version
  * d/control: (Re)add the now transitional template package
    Thanks to piuparts and Andreas for making this issue vissible!
    Unfortunately :-( I've missed this requirement while working on 3.0.1-1.
    (Closes: #1024387)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Nov 2022 07:20:20 +0100

pastedeploy (3.0.1-2) unstable; urgency=medium

  * Team upload
  * Source only upload
  * d/watch: Use correct tag matching

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Nov 2022 16:46:34 +0100

pastedeploy (3.0.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Use git mode to watch for new versions
  * d/gbp.conf: Add some basic default configuration
  * New upstream version 3.0.1
  * Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-Sphinx-RTD-theme-instead-of-Pylons-one.patch
    docs-Use-local-Python-objects.inv-data-for-intersphinx.patch

    Renamed patch (no additional adjustments needed):
    01_change_templates_path.dpatch
    -> template_dir-Use-folder-from-the-Debian-package.patch
  * d/{control,rules}: Move over to dh-sequence-python3
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * d/control: Add new required Build-Depends
    Building the documentation and running the tests are needing additional
    build dependencies.
  * python-pastedeploy-doc: Split off documentation
    Create a new binary package that is containing the documentation for
    python3-pastedeploy, it's a split off from the existing library
    package.
  * d/rules: Adjust PYBUILD_AFTER_INSTALL settings
    Remove some more unneeded content from the Python3 package that is
    created by the new upstream version.
  * d/python-pastedeploy-tpl.install: Adjust folder to install
  * Move python-pastedeploy-tpl to python3-pastedeploy-tpl
    This is basically just a renaming to python3-* to make the naming more
    consistent to similar other packaging practice.
  * autopkgtest: Adding a basic first test setup
  * d/README.source: Add some information about the source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Nov 2022 20:28:15 +0100

pastedeploy (2.1.1-2) unstable; urgency=medium

  * Apply multi-arch hints.
    + python-pastedeploy-tpl: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.5.1, no changes needed.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster:
    + python-pastedeploy-tpl: Drop versioned constraint on python-pastedeploy in
      Replaces.
    + python-pastedeploy-tpl: Drop versioned constraint on python-pastedeploy in
      Breaks.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 27 May 2022 18:55:52 +0100

=== debian/control ===
Source: pastedeploy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nocheck>,
               python3-docutils,
               python3-pygments,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nocheck>,
               python3-sphinx-rtd-theme <!nocheck>,
Standards-Version: 4.6.1
Homepage: http://pythonpaste.org/deploy/
Vcs-Git: https://salsa.debian.org/python-team/packages/pastedeploy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pastedeploy
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-pastedeploy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: load, configure, and compose WSGI applications and servers (Documentation)
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the documentation of the library.

Package: python3-pastedeploy
Architecture: all
Depends: python3-pastedeploy-tpl (= ${binary:Version}),
         python3-paste,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-pastescript,
Enhances: python3-paste,
Description: load, configure, and compose WSGI applications and servers (Python 3)
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the Python 3.x module.

Package: python3-pastedeploy-tpl
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-pastedeploy-tpl (<< 3),
Replaces:
 python-pastedeploy-tpl (<< 3),
Multi-Arch: foreign
Description: load, configure, compose WSGI applications and servers (Templates)
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This package contains the Paste Deploy's paster template.

Package: python-pastedeploy-tpl
Architecture: all
Section: oldlibs
Depends:
 python3-pastedeploy-tpl (>= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: foreign
Description: load, configure, compose WSGI applications and servers (Transitional package)
 Paste Deployment is a system for finding and configuring WSGI applications and
 servers. For WSGI application consumers it provides a single, simple function
 (loadapp) for loading a WSGI application from a configuration file or a Python
 Egg. For WSGI application providers it only asks for a single, simple entry
 point to your application, so that application users don't need to be exposed
 to the implementation details of your application.
 .
 This is a transitional package that pulls in the required package for the
 old package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=pastedeploy
export PYBUILD_AFTER_INSTALL=\
rm -rf {destdir}{install_dir}/paste/deploy/paster_templates ;\
rm -rf {destdir}{install_dir}/paste/deploy/__pycache__ ;\
rm {destdir}{install_dir}/.coverage ;\
rm {destdir}{install_dir}/*.pth ;\
rm {destdir}{install_dir}/*/namespace_packages.txt

%:
	dh $@ --with=sphinxdoc,python3 --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-pastedeploy-doc/usr/share/doc/python-pastedeploy-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/news.rst

## pastedeploy 3.1

=== debian/changelog ===
pastedeploy (3.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Colin Watson ]
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Fix profiles of several build-dependencies (closes: #1116833).

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Oct 2025 14:50:24 +0100

pastedeploy (3.1-1) unstable; urgency=medium

  * Team upload.

  [ Simon Chopin ]
  * Build against dh-python 6.20230825
    Closes: #1052430

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Do not insist on gz compression in debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 14:06:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-doc <!nocheck>,
+               python3-doc <!nodoc>,
                python3-docutils,
                python3-pygments,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
-               python3-sphinx <!nocheck>,
-               python3-sphinx-rtd-theme <!nocheck>,
-Standards-Version: 4.6.1
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: http://pythonpaste.org/deploy/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pastedeploy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pastedeploy

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 rm {destdir}{install_dir}/*/namespace_packages.txt
 
 %:
-	dh $@ --with=sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -22,3 +22,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/docs/news.rst
+
+override_dh_auto_clean:
+	mv tests/fake_packages/FakeApp.egg/FakeApp.egg-info FakeApp.backup
+	dh_auto_clean
+	mv FakeApp.backup tests/fake_packages/FakeApp.egg/FakeApp.egg-info

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-pastedeploy,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pastedeploy-$1\.tar\.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/Pylons/pastedeploy.git \
      refs/tags/@ANY_VERSION@
